function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import { createMuiTheme } from '@material-ui/core/styles';

var getThemeSource = function getThemeSource(id, ts, isDarkMode, isRTL) {
  if (ts) {
    for (var i = 0; i < ts.length; i++) {
      if (ts[i]['id'] === id) {
        var source = ts[i]['source'];
        var palette = source != null ? source.palette : {};
        return createMuiTheme(_extends(_extends({}, source), {}, {
          palette: _extends(_extends({}, palette), {}, {
            type: isDarkMode ? 'dark' : 'light'
          }),
          direction: isRTL ? 'rtl' : 'ltr'
        }));
      }
    }
  }

  return createMuiTheme({
    palette: {
      type: isDarkMode ? 'dark' : 'light'
    },
    direction: isRTL ? 'rtl' : 'ltr'
  });
};

export default getThemeSource;